Skip to main content
GET
/
api2
/
v2
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
analyses
List analyses
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/analyses \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/analyses"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/jobs/{jobUid}/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "analyseLanguageParts": [
        {
          "data": {
            "all": {
              "characters": 123,
              "editingTime": 123,
              "normalizedPages": 123,
              "percent": 123,
              "segments": 123,
              "words": 123
            },
            "available": true,
            "machineTranslationMatches": {
              "match0": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match50": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match75": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match85": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match95": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            },
            "nonTranslatablesMatches": {
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match99": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            },
            "repetitions": {
              "characters": 123,
              "editingTime": 123,
              "normalizedPages": 123,
              "percent": 123,
              "segments": 123,
              "words": 123
            },
            "transMemoryMatches": {
              "match0": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match101": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match50": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match75": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match85": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match95": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            }
          },
          "discountedData": {
            "all": {
              "characters": 123,
              "editingTime": 123,
              "normalizedPages": 123,
              "percent": 123,
              "segments": 123,
              "words": 123
            },
            "available": true,
            "machineTranslationMatches": {
              "match0": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match50": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match75": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match85": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match95": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            },
            "nonTranslatablesMatches": {
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match99": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            },
            "repetitions": {
              "characters": 123,
              "editingTime": 123,
              "normalizedPages": 123,
              "percent": 123,
              "segments": 123,
              "words": 123
            },
            "transMemoryMatches": {
              "match0": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match100": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match101": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match50": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match75": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match85": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              },
              "match95": {
                "characters": 123,
                "editingTime": 123,
                "normalizedPages": 123,
                "percent": 123,
                "segments": 123,
                "words": 123
              }
            }
          },
          "id": "<string>",
          "jobs": [
            {
              "filename": "<string>",
              "innerId": "<string>",
              "jobUid": "<string>",
              "uid": "<string>"
            }
          ],
          "sourceLang": "<string>",
          "targetLang": "<string>"
        }
      ],
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "netRateScheme": {
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "isDefault": true,
        "name": "<string>",
        "uid": "<string>"
      },
      "provider": {
        "type": "<string>",
        "id": "<string>",
        "uid": "<string>"
      },
      "uid": "<string>"
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Query Parameters

pageNumber
integer<int32>
default:0
Required range: x >= 0
pageSize
integer<int32>
default:50
Required range: 1 <= x <= 50

Response

successful operation

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>